# $Revision: 1.53 $, $Date: 2004/09/21 01:55:33 $
#
# Conditional build:
%bcond_with	sound	# with sound support
%bcond_without	freetype	# without True Type Font mode(s)
%bcond_without	opengl	# without OpenGL mode(s)
#
Summary:	An X terminal locking program
Summary(de):	Terminal-Sperrprogramm fr X mit vielen Bildschirmschonern
Summary(es):	Programa para bloquear el terminal X con varios protectores de pantalla
Summary(fr):	Verrouillage de terminaux X
Summary(pl):	Program do blokowania X terminali
Summary(pt_BR):	Programa para bloquear o terminal X com vrios salvadores de tela
Summary(ru):	  X     
Summary(tr):	X terminal kilitleme program
Summary(uk):	  X ͦ   ˦˦ Ҧަ 
Name:		xlockmore
Version:	5.12
Release:	3
License:	MIT
Group:		X11/Amusements
Source0:	ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/%{name}-%{version}.tar.bz2
# Source0-md5:	f58758fa3757984edee42e141c7a80dc
Source1:	xlock.pamd
Source2:	%{name}.desktop
Patch0:		%{name}-sounds_path.patch
Patch1:		%{name}-vtlock.patch
URL:		http://www.tux.org/~bagleyd/xlockmore.html
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
%{?with_sound:BuildRequires:	esound-devel}
%{?with_freetype:BuildRequires:	freetype1-devel}
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	rpm-build >= 4.0.2-79
%{?_with_opengl:Requires:	OpenGL}
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_soundsdir	/usr/share/sounds
%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults
%define		__cxx		%{__cc}

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it. Xlockmore runs a provided screensaver until you type
in your password.

%description -l de
Eine erweiterte Version des Standardprogramms xlock, mit dem Sie eine
X-Sitzung fr andere Benutzer sperren knnen, wenn Sie sich nicht an
Ihrem Rechner befinden. Es fhrt einen von vielen Bildschirmschonern
aus und wartet auf die Eingabe eines Paworts, bevor es die Sitzung
freigibt und Sie an Ihre X-Programme lt.

%description -l es
Una versin mejorada del xlock que te permite mantener otros usuarios
lejos de tu sesin X mientras ests alejado de la mquina. Se ejecuta
en uno de los varios protectores de pantalla mientras aguarda que
entres con tu contrasea, desbloqueando la sesin y volviendo al X.

%description -l fr
Version amliore du programme xlock standard et qui permet d'empcher
les autres utilisateurs d'aller dans une session X pendant que vous
tes loign de la machine. Il lance l'un des nombreux conomiseurs
d'cran et attend que vous tapiez votre mot de passe, dbloquant la
session et vous redonnant accs  vos programmes X.

%description -l pl
xlockmore to rozszerzona wersja standardowego programu xlock,
pozwalajcego zablokowa sesj X tak, by bya niedostpna dla innych
uytkownikw. Xlockmore uruchamia dostarczony wygaszacz ekranu do
czasu wpisania hasa.

%description -l pt_BR
Uma verso melhorada do xlock que permite a voc manter outros
usurios longe de sua sesso X enquanto voc est afastado da mquina.
Ele roda um dos vrios protetores de tela enquanto aguarda voc entrar
com a sua senha, desbloqueando a sesso e voltando ao X.

%description -l ru
    xlock,  
X-         . 
         
      ,   X-
       X-.

%description -l tr
Standart xlock programnn bir miktar gelitirilmi srm. xlockmore
ile makinann bandan ayrlmanz gerektii zaman ekran
kilitleyebilir, bylece istenmeyen misafirlerin sistemi
kurcalamalarn nleyebilirsiniz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%{__libtoolize}
%{__autoconf}
%configure \
	--without-motif \
	--without-gtk \
	--without-nas \
	--disable-setuid \
	%{!?with_sound:--without-rplay} \
	%{!?with_sound:--without-esound} \
	%{?with_sound:--with-esound} \
	%{!?with_freetype:--without-ttf} \
	%{!?with_opengl:--without-opengl --without-mesa} \
	--enable-vtlock \
	--enable-pam
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/pam.d,%{_desktopdir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_appdefsdir}}
%{?with_sound:install -d $RPM_BUILD_ROOT%{_soundsdir}/%{name}}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	xapploaddir=$RPM_BUILD_ROOT%{_appdefsdir} \
	INSTPGMFLAGS="-m 755"

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/xlock

install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%{?with_sound:install sounds/* $RPM_BUILD_ROOT%{_soundsdir}/%{name}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README docs/TODO docs/Revisions
%attr(644,root,root) %config(noreplace) %verify(not size mtime md5) /etc/pam.d/xlock
%attr(755,root,root) %{_bindir}/xlock
%{_mandir}/man1/*
%{_appdefsdir}/XLock
%{_desktopdir}/xlockmore.desktop
%{?with_sound:%{_soundsdir}/%{name}}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xlockmore.spec,v $
Revision 1.53  2004/09/21 01:55:33  ankry
- rel. 3

Revision 1.52  2004/07/04 20:52:20  adamg
- release 2 (fixed desktop file)

Revision 1.51  2004/04/21 16:27:01  grzegol
- updated to 5.12

Revision 1.50  2004/01/06 19:00:16  grzegol
- updated to 5.11.1

Revision 1.49  2004/01/01 22:51:50  grzegol
- updated to 5.11

Revision 1.48  2003/12/10 17:58:09  grzegol
- _applnkdir -> _desktopdir; rel. 2

Revision 1.47  2003/11/17 19:53:47  grzegol
- updated to 5.10
- new style bconds

Revision 1.46  2003/11/17 17:11:20  jareq
- fortune-mod is recommended, but not required by xlockmore

Revision 1.45  2003/10/29 12:09:20  qboosh
- fixed install, so binary has proper perms and deps can be autogenerated

Revision 1.44  2003/09/26 14:26:44  baggins
- release 2

Revision 1.43  2003/09/26 14:20:26  baggins
- req pam >= 0.77.3

Revision 1.42  2003/07/22 16:03:28  qboosh
- up to 5.09, updated sounds_path patch

Revision 1.41  2003/05/28 13:03:08  malekith
- massive attack: source-md5

Revision 1.40  2003/05/25 06:28:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/02/22 00:27:16  grzegol
- updated to 5.06
- removed outdated acfix patch (already in sources)

Revision 1.38  2002/12/09 08:32:44  qboosh
- BR: libtool

Revision 1.37  2002/12/06 17:30:11  baggins
- libtoolize this

Revision 1.36  2002/07/27 19:28:34  kloczek
- merge translations from KSI amd Conectiva.

Revision 1.35  2002/07/15 15:01:46  qboosh
- use gcc for linking (don't link explicitly with libstdc++)

Revision 1.34  2002/07/15 14:07:43  qboosh
- updated to 5.04
- updated sounds_path patch, removed outdated Mesa patch, added acfix patch
- fixes in vtlock patch - vt swiching works with current PLD now
  (was vtlock code written for Linux pre-2.2 era or so???)

Revision 1.33  2002/06/29 23:47:56  qboosh
- release 6: rebuild with new rpm-find-requires to get correct Requires list

Revision 1.32  2002/06/28 10:24:25  qboosh
- changed bcond: s/sound/_with_sound/

Revision 1.31  2002/06/03 11:17:27  trojan
- new %%doc packing infrastucture
- removed Requires: /usr/games/fortune, added - fortune
- release 5; STBR

Revision 1.30  2002/04/24 22:54:22  marcus
- rel.4.

Revision 1.29  2002/04/02 09:27:59  jajcus
- VT locking enabled (needs suid on xlock set, xlock in the package is _not_ suid)
- %%install fixed
- README added to %%doc

Revision 1.28  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/12/24 10:53:02  qboosh
- pl description

Revision 1.25  2001/12/07 21:12:46  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.24  2001/10/02 23:14:53  blues
- release 2
- configure2_13 used

Revision 1.23  2001/05/03 01:14:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.21  2001/03/21 09:26:42  kloczek
- updated to 5.00,
- removed obsoleted patches,
- commented freetyp-devel BuildRequires (gltt must be prepared before).

Revision 1.20  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.19  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.18  2000/10/17 09:27:04  zagrodzki
- updated to 4.17.2
- moved sound support into conditionals

Revision 1.17  2000/10/05 18:59:16  kloczek
- added autoconf to BuildRequires.

Revision 1.16  2000/10/05 16:06:10  kloczek
- use neew rpm automation suit,
- spec now %%{debug} ready.

Revision 1.15  2000/10/05 14:01:31  baggins
- typo

Revision 1.14  2000/10/05 13:36:31  baggins
- release 4
- added X4 patch

Revision 1.13  2000/07/14 23:58:50  kloczek
- release 3,
- rebuild agains OpenGL from XFree86 4.0.1.

Revision 1.12  2000/06/16 17:22:48  kloczek
- release 2,
- rebuild against OpenGL fron XFree86 4.0.

Revision 1.11  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/20 00:09:15  kloczek
- updated to 4.16.1 (WARNING: this version have security relayted fixes),
- spec adapterized,
- added Icon and Comment[pl] in desktop file,
- added BuildRequires rules,
- added more %doc,
- added gzipping man pages,
- added -fno-rtti -fno-exceptions -fno-implicit-templates to C++
  optimizations flags,
- added stripping binaries.

Revision 1.8  2000/04/10 17:06:18  baggins
- more spelling fixes

Revision 1.7  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/02/02 11:05:20  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.5  2000/01/20 20:03:51  kloczek
- release 3 (in rawhide is 2),
- added de, tr, fr translations from BeroLinux spec file,
- wmconfig file replaced by desktop,
- more rpm macros.

Revision 1.4  2000/01/20 14:35:55  baggins
- added Mesa patch

Revision 1.3  2000/01/07 21:15:03  baggins
- updated to 4.15

Revision 1.2  1999/08/10 20:00:30  baggins
- commented out fortune patch

Revision 1.1  1999/08/10 19:59:24  baggins
- almost good for PLD

Based on RH spec file.
